## freecode-submit 2.3

=== Makefile ===
# Makefile for the freecode-submit tool

VERS=$(shell sed <freecode-submit -n -e '/version="\(.*\)"/s//\1/p')

CODE    = freecode-submit
DOCS    = README AUTHORS freecode-submit.xml COPYING
SOURCES = $(CODE) $(DOCS) Makefile control gold-mega.png

all: freecode-submit.1

freecode-submit.1: freecode-submit.xml
	xmlto man freecode-submit.xml

freecode-submit.html: freecode-submit.xml
	xmlto html-nochunks freecode-submit.xml

install: freecode-submit.1 uninstall
	cp freecode-submit ${ROOT}/usr/bin/freecode-submit 
	install -m 755 -o 0 -g 0 -d $(ROOT)/usr/share/man/man1/
	install -m 755 -o 0 -g 0 freecode-submit.1 $(ROOT)/usr/share/man/man1/freecode-submit.1

uninstall:
	rm -f ${ROOT}/usr/bin/freecode-submit 
	rm -f ${ROOT}/usr/share/man/man1/freecode-submit.1

freecode-submit-$(VERS).tar.gz: $(SOURCES) freecode-submit.1
	find $(SOURCES) freecode-submit.1 -type f | sed "s:^:freecode-submit-$(VERS)/:" >MANIFEST
	(cd ..; ln -s freecode-submit freecode-submit-$(VERS))
	(cd ..; tar -czf freecode-submit/freecode-submit-$(VERS).tar.gz `cat freecode-submit/MANIFEST`)
	(cd ..; rm freecode-submit-$(VERS))

pychecker:
	@echo "Expect: Object (data) has no attribute (update)"
	@ln -f freecode-submit freecode-submit.py
	@-pychecker --only --limit 50 freecode-submit.py
	@rm -f freecode-submit.py

clean:
	rm -f *.pyc *.html freecode-submit.1 MANIFEST ChangeLog SHIPPER.* *~

dist: freecode-submit-$(VERS).tar.gz

release: freecode-submit-$(VERS).tar.gz freecode-submit.html
	shipper -u -m -t; make clean

=== debian/changelog ===
freecode-submit (2.3-1) unstable; urgency=low

  * Initial release (Closes: #649342)

 -- Francois Marier <francois@debian.org>  Sun, 20 Nov 2011 16:46:37 +1300

=== debian/control ===
Source: freecode-submit
Section: devel
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 8), xmlto, python-support
Standards-Version: 3.9.2
Homepage: http://www.catb.org/~esr/freecode-submit/
Vcs-Git: git://git.debian.org/collab-maint/freecode-submit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/freecode-submit.git;a=summary

Package: freecode-submit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python
XB-Python-Version: ${python:Versions}
Description: remote submission of release updates to Freecode.com
 freecode-submit is a script that supports remote submission of release updates
 to Freecode (formerly Freshmeat.net) via its JSON API.
 .
 It is intended for use in project release scripts. It reads the metadata from
 an RFC-2822-like message on standard input, possibly with overrides by
 command-line switches.

## freecode-submit 2.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for the freecode-submit tool
 
 VERS=$(shell sed <freecode-submit -n -e '/version="\(.*\)"/s//\1/p')
+
+PREFIX=/usr
 
 CODE    = freecode-submit
 DOCS    = README AUTHORS freecode-submit.xml COPYING
@@ -15,13 +17,13 @@
 	xmlto html-nochunks freecode-submit.xml
 
 install: freecode-submit.1 uninstall
-	cp freecode-submit ${ROOT}/usr/bin/freecode-submit 
-	install -m 755 -o 0 -g 0 -d $(ROOT)/usr/share/man/man1/
-	install -m 755 -o 0 -g 0 freecode-submit.1 $(ROOT)/usr/share/man/man1/freecode-submit.1
+	cp freecode-submit ${PREFIX}/bin/freecode-submit 
+	install -m 755 -o 0 -g 0 -d ${PREFIX}/share/man/man1/
+	install -m 755 -o 0 -g 0 freecode-submit.1 ${PREFIX}/share/man/man1/freecode-submit.1
 
 uninstall:
-	rm -f ${ROOT}/usr/bin/freecode-submit 
-	rm -f ${ROOT}/usr/share/man/man1/freecode-submit.1
+	rm -f ${PREFIX}/bin/freecode-submit 
+	rm -f ${PREFIX}/share/man/man1/freecode-submit.1
 
 freecode-submit-$(VERS).tar.gz: $(SOURCES) freecode-submit.1
 	find $(SOURCES) freecode-submit.1 -type f | sed "s:^:freecode-submit-$(VERS)/:" >MANIFEST

=== debian/changelog ===
freecode-submit (2.4-1) unstable; urgency=low

  * New upstream release
    - drop manpage_netrc_syntax.patch (applied upstream)
    - drop makefile_destdir.patch (kinda applied upstream)

 -- Francois Marier <francois@debian.org>  Wed, 20 Jun 2012 22:39:11 +1200

freecode-submit (2.3-3) unstable; urgency=low

  * Drop python:Depends and XB-Python-Version (closes: #674939)
  * Add upstream contact to debian/copyright
  * Specify the new copyright format in debian/copyright

 -- Francois Marier <francois@debian.org>  Tue, 29 May 2012 19:16:21 +1200

freecode-submit (2.3-2) unstable; urgency=low

  * Bump debhelper compatibility to 9
  * Bump Standards-Version up to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 15:53:35 +1200

## freecode-submit 2.5

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	(cd ..; rm freecode-submit-$(VERS))
 
 pychecker:
-	@echo "Expect: Object (data) has no attribute (update)"
 	@ln -f freecode-submit freecode-submit.py
 	@-pychecker --only --limit 50 freecode-submit.py
 	@rm -f freecode-submit.py

=== debian/changelog ===
freecode-submit (2.5-1) unstable; urgency=low

  * New upstream release

 -- Francois Marier <francois@debian.org>  Tue, 14 May 2013 20:09:01 +1200

=== debian/control ===
Source: freecode-submit
Section: devel
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9), xmlto
Standards-Version: 3.9.3
Homepage: http://www.catb.org/~esr/freecode-submit/
Vcs-Git: git://git.debian.org/collab-maint/freecode-submit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/freecode-submit.git;a=summary

Package: freecode-submit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: remote submission of release updates to Freecode.com
 freecode-submit is a script that supports remote submission of release updates
 to Freecode (formerly Freshmeat.net) via its JSON API.
 .
 It is intended for use in project release scripts. It reads the metadata from
 an RFC-2822-like message on standard input, possibly with overrides by
 command-line switches.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_install:
	make install PREFIX=$(CURDIR)/debian/freecode-submit/usr

## freecode-submit 2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the freecode-submit tool
 
-VERS=$(shell sed <freecode-submit -n -e '/version="\(.*\)"/s//\1/p')
+VERS=$(shell sed <freecode-submit -n -e '/version *= *"\(.*\)"/s//\1/p')
 
 PREFIX=/usr
 
@@ -31,15 +31,23 @@
 	(cd ..; tar -czf freecode-submit/freecode-submit-$(VERS).tar.gz `cat freecode-submit/MANIFEST`)
 	(cd ..; rm freecode-submit-$(VERS))
 
+freecode-submit-$(VERS).md5: freecode-submit-$(VERS).tar.gz
+	@md5sum freecode-submit-$(VERS).tar.gz >freecode-submit-$(VERS).md5
+
 pychecker:
 	@ln -f freecode-submit freecode-submit.py
 	@-pychecker --only --limit 50 freecode-submit.py
 	@rm -f freecode-submit.py
 
+PYLINTOPTS = --rcfile=/dev/null --reports=n --include-ids=y --disable="C0103,C0301,C0323,R0903,R0912,R0914,W0141,W0621,F0401,E0611,E1101"
+pylint:
+	@pylint --output-format=parseable $(PYLINTOPTS) freecode-submit
+
 clean:
 	rm -f *.pyc *.html freecode-submit.1 MANIFEST ChangeLog SHIPPER.* *~
+	rm -f *.tar.gz *.md5
 
 dist: freecode-submit-$(VERS).tar.gz
 
-release: freecode-submit-$(VERS).tar.gz freecode-submit.html
+release: freecode-submit-$(VERS).tar.gz freecode-submit-$(VERS).md5 freecode-submit.html
 	shipper -u -m -t; make clean

## freecode-submit 2.7

=== Makefile ===
--- 
+++ 
@@ -44,10 +44,10 @@
 	@pylint --output-format=parseable $(PYLINTOPTS) freecode-submit
 
 clean:
-	rm -f *.pyc *.html freecode-submit.1 MANIFEST ChangeLog SHIPPER.* *~
+	rm -f *.pyc *.html freecode-submit.1 MANIFEST ChangeLog *~
 	rm -f *.tar.gz *.md5
 
 dist: freecode-submit-$(VERS).tar.gz
 
 release: freecode-submit-$(VERS).tar.gz freecode-submit-$(VERS).md5 freecode-submit.html
-	shipper -u -m -t; make clean
+	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
freecode-submit (2.7-1) unstable; urgency=medium

  * New upstream release:
    - fixes a minor bug when the script is called without data input
  * Bump Standards-Version up to 3.9.5
  * Add upstream changelog

 -- Francois Marier <francois@debian.org>  Wed, 25 Dec 2013 12:04:14 +1300

freecode-submit (2.6-1) unstable; urgency=low

  * New upstream release
    - documentation fixes

  * Bump Standards-Version up to 3.9.4
  * Use canonical VCS URLs in debian/control

 -- Francois Marier <francois@debian.org>  Sun, 20 Oct 2013 10:23:48 +1300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: extra
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), xmlto
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.catb.org/~esr/freecode-submit/
-Vcs-Git: git://git.debian.org/collab-maint/freecode-submit.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/freecode-submit.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/freecode-submit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/freecode-submit.git;a=summary
+
 
 Package: freecode-submit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 override_dh_auto_install:
 	make install PREFIX=$(CURDIR)/debian/freecode-submit/usr
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://www.catb.org/~esr/freecode-submit/ freecode-submit-(.*)\.tar\.gz

## freecode-submit 2.8

=== Makefile ===
--- 
+++ 
@@ -39,9 +39,9 @@
 	@-pychecker --only --limit 50 freecode-submit.py
 	@rm -f freecode-submit.py
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n --include-ids=y --disable="C0103,C0301,C0323,R0903,R0912,R0914,W0141,W0621,F0401,E0611,E1101"
+PYLINTOPTS = --rcfile=/dev/null --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" --dummy-variables-rgx='^_' --reports=n --disable="C0103,C0301,C0323,C1001,R0903,R0912,R0914,W0110,W0141,W0621,F0401,E0611,E1101"
 pylint:
-	@pylint --output-format=parseable $(PYLINTOPTS) freecode-submit
+	@pylint $(PYLINTOPTS) freecode-submit
 
 clean:
 	rm -f *.pyc *.html freecode-submit.1 MANIFEST ChangeLog *~

=== debian/changelog ===
freecode-submit (2.8-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Mon, 02 Jun 2014 19:30:43 +1200
